Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.rmi
Class SSLRMIServerSocketFactory

    java.lang.Object
      mx4j.tools.remote.rmi.SSLRMIServerSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory

public class SSLRMIServerSocketFactory
extends java.lang.Object
implements java.rmi.server.RMIServerSocketFactory

Version:
  $Revision: 1.4 $

Constructor Summary
`SSLRMIServerSocketFactory(javax.net.ssl.SSLContext sslContext)`
`SSLRMIServerSocketFactory(javax.net.ssl.SSLContext sslContext, int backlog)`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLRMIServerSocketFactory

    public SSLRMIServerSocketFactory(javax.net.ssl.SSLContext sslContext)

### SSLRMIServerSocketFactory

    public SSLRMIServerSocketFactory(javax.net.ssl.SSLContext sslContext,
                                     int backlog)

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.